%undefine __brp_mangle_shebangs
%global debug_package %{nil}
Name: nvm
Version: 0.40.1
Release: 3%{?dist}
Summary: Node Version Manager - POSIX-compliant bash script to manage multiple active node.js versions

License: MIT
URL: https://nvm.sh
Source: https://github.com/nvm-sh/nvm/archive/refs/tags/v%{version}.tar.gz
Source1: nvm.sh
Source2: https://nodejs.org/dist/v18.17.0/node-v18.17.0-linux-x64.tar.xz
Source3: https://nodejs.org/dist/v18.18.2/node-v18.18.2-linux-x64.tar.xz
Source4: https://nodejs.org/dist/v20.12.2/node-v20.12.2-linux-x64.tar.xz

%description
nvm is a version manager for node.js, designed to be installed per-user,
and invoked per-shell. nvm works on any POSIX-compliant shell (sh, dash,
ksh, zsh, bash), in particular on these platforms: unix, macOS, and
windows WSL.

%prep
%setup -q -n nvm-%{version}
tar xf %{SOURCE2}
tar xf %{SOURCE3}
tar xf %{SOURCE4}

%install
install -t $RPM_BUILD_ROOT/%{_bindir}/ -D nvm-exec
install -t $RPM_BUILD_ROOT/%{_datadir}/nvm/ -D nvm.sh
install -t $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/nvm -D bash_completion
install -t $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/ -D %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT/usr/lib/nvm/versions/node/
cp -r node-v18.17.0-linux-x64 $RPM_BUILD_ROOT/usr/lib/nvm/versions/node/v18.17.0
cp -r node-v18.18.2-linux-x64 $RPM_BUILD_ROOT/usr/lib/nvm/versions/node/v18.18.2
cp -r node-v20.12.2-linux-x64 $RPM_BUILD_ROOT/usr/lib/nvm/versions/node/v20.12.2

%package v18.17.0
Summary: v18.17.0

%description v18.17.0
v18.17.0

%files v18.17.0
/usr/lib/nvm/versions/node/v18.17.0/**

%package v18.18.2
Summary: v18.18.2

%description v18.18.2
v18.18.2

%files v18.18.2
/usr/lib/nvm/versions/node/v18.18.2/**

%package v20.12.2
Summary: v20.12.2

%description v20.12.2
v20.12.2

%files v20.12.2
/usr/lib/nvm/versions/node/v20.12.2/**

%files
%{_bindir}/nvm-exec
%{_datadir}/nvm/*
%{_sysconfdir}/bash_completion.d/nvm
%{_sysconfdir}/profile.d/nvm.sh

%changelog
* Fri Nov 15 2024 Dick Marinus <dick@mrns.nl> - 0.40.1-3
Add v20.12.2

* Tue Oct  1 2024 Dick Marinus <dick@mrns.nl> - 0.40.1-2
Add v18.18.2

* Wed Sep 25 2024 Dick Marinus <dick@mrns.nl> - 0.40.1-1
initial version
